Subject: bug#4469: closed (Re: bug#4469: 23.1; visual-line-fringe-indicators w/ 80 column lines)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 25 Mar 2025 12:55:02 +0000

Your bug report

#4469: 23.1; visual-line-fringe-indicators w/ 80 column lines

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4469: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=4469
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4469: 23.1; visual-line-fringe-indicators w/ 80 column lines
From: Eli Zaretskii <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 25 Mar 2025 14:53:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 25 Mar 2025 09:27:48 -0300
> Cc: Eli Zaretskii <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
> From: Mauro Aranda <[email-masked]>
> 
> Reiner Steib <[email-masked]> writes:
> 
>  > Please describe exactly what actions triggered the bug
>  > and the precise symptoms of the bug:
>  >
>  > Consider the following file with line of exactly 80 columns:
>  >
>  > $ cat 80columns
>  > 
> 12345678901234567890123456789012345678901234567890123456789012345678901234567890
>  > line 
> 2...01234567890123456789012345678901234567890123456789012345678901234567890
>  > line 
> 3...01234567890123456789012345678901234567890123456789012345678901234567890
>  >
>  > $ emacs-23-1 -geometry 80x10 -Q \
>  >   --eval "(setq visual-line-fringe-indicators
>  >             '(left-curly-arrow right-curly-arrow))" 80columns
>  >
>  > The the buffer is displayed fine: Three lines that fit into 80 columns
>  > displayed in 3 "visual lines".
>  >
>  > x
>  >
>  >
>  > Then do M-x visual-line-mode RET and get this: "visual line breaks"
>  > are inserted.  The buffer is displayed as 6 "visual lines".
>  >
>  > x
>  >
>  >
>  > In fact, I now notice that setting visual-line-fringe-indicators is
>  > irrelevant for the bug.
>  >
>  > With ...
>  >
>  > $ emacs-23-1 -geometry 80x10 -Q 80columns -f visual-line-mode
>  >
>  > ... I get:
>  >
>  > x
>  >
>  >
>  > As the lines fit into 80 columns, visual-line-mode should not insert
>  > "visual line breaks".
>  >
> 
> I can't reproduce this bug.  I tried current master and emacs-27.

This mis-feature (not a bug) was fixed in Emacs 25.  Closing.

Subject: 23.1; visual-line-fringe-indicators w/ 80 column lines
From: Reiner Steib <[email-masked]>
To: [email-masked]
Date: Thu, 17 Sep 2009 22:45:42 +0200

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Consider the following file with line of exactly 80 columns:

$ cat 80columns
12345678901234567890123456789012345678901234567890123456789012345678901234567890
line 2...01234567890123456789012345678901234567890123456789012345678901234567890
line 3...01234567890123456789012345678901234567890123456789012345678901234567890

$ emacs-23-1 -geometry 80x10 -Q \
  --eval "(setq visual-line-fringe-indicators
            '(left-curly-arrow right-curly-arrow))" 80columns

The the buffer is displayed fine: Three lines that fit into 80 columns
displayed in 3 "visual lines".

Then do M-x visual-line-mode RET and get this: "visual line breaks"
are inserted.  The buffer is displayed as 6 "visual lines".

In fact, I now notice that setting visual-line-fringe-indicators is
irrelevant for the bug.

With ...

$ emacs-23-1 -geometry 80x10 -Q 80columns -f visual-line-mode

... I get:

As the lines fit into 80 columns, visual-line-mode should not insert
"visual line breaks".

In GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-07-30 on primula
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> M-x v i s <tab> u <tab> <return> M-x r 
e p o r t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...
Visual-Line mode enabled

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/